TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

RootOfUnity ( elt-ord^rat n, fld^fin K ) -> elt-fld^fin

### Optional Arguments

Optimize | elt-alg^boo |  |
Default | elt-alg^boo |  |
Sparse | elt-alg^boo |  |

### Description

<shortdoc> A primitive n-th root of unity in the smallest possible extension field of K. </shortdoc>

### Examples

x_K := FiniteField(5); x_R2 := RootOfUnity(2, x_K); Parent(x_R2); x_R3 := RootOfUnity(3, x_K); Parent(x_R3);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack